aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorPablo Martín <caedesv@users.sourceforge.net>2003-09-07 20:01:24 +0000
committerPablo Martín <caedesv@users.sourceforge.net>2003-09-07 20:01:24 +0000
commite20d5ae3622d5d656dc28d7a090aee76b08158b0 (patch)
treede772d913888f4d5faf127414e2cb4ce486be3ca /bin
parent69fab985ebfc5ea03228c92a859e4091fee1b28d (diff)
updating pdp to current version 0.12.2
svn path=/trunk/externals/pdp/; revision=936
Diffstat (limited to 'bin')
-rw-r--r--bin/pdp-config39
1 files changed, 39 insertions, 0 deletions
diff --git a/bin/pdp-config b/bin/pdp-config
new file mode 100644
index 0000000..dd0bdf7
--- /dev/null
+++ b/bin/pdp-config
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+prefix=/usr/local
+version=0.12.2
+
+usage="\
+Usage: pdp-config [--version] [--cflags] [--libdir]"
+
+if test $# -eq 0; then
+ echo "${usage}" 1>&2
+ exit 1
+fi
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case $1 in
+ -n)
+ NEWLINE="-n"
+ ;;
+ --libdir)
+ echo $NEWLINE $prefix/lib/scaf
+ ;;
+ --version)
+ echo $NEWLINE $version
+ ;;
+ --cflags)
+ echo $NEWLINE -I$prefix/include/pdp
+ ;;
+ *)
+ echo "${usage}" 1>&2
+ exit 1
+ ;;
+ esac
+ shift
+done